*** Settings ***
Documentation    LCD tests in data driven format
Library  ../LCDTestLibrary.py
Test Template  Verify if text is displayed
Test Teardown  Clear Screen


*** Test Cases ***      Text                                Expected_Response
Short text              Hello                               y
Longer text             Hello, my precious world!           y
Special characters      WHAT IS $!@$%&*#@?? here?           y
Greek letters           ΔΘφρπξΞΦΨ	                        n
Very Long text          This is impossible to display it!   n

*** Keywords ***
Verify if text is displayed
    [Arguments]  ${text}  ${expected_response}
    display message  ${text}
    log to console  \nDo you see "${text}" on the screen?[y/n]
    ${answer}=  user verification
    should be equal as strings  ${answer}  ${expected_response}